package org.glassfish.domaincustomizer.serverbeans;

import java.beans.PropertyVetoException;
import org.glassfish.api.Param;
import org.glassfish.api.admin.config.Container;
import org.jvnet.hk2.config.Attribute;
import org.jvnet.hk2.config.ConfigBeanProxy;
import org.jvnet.hk2.config.Configured;
import org.jvnet.hk2.config.Element;

/**
 *
 * @author romano
 */
@Configured
public interface MyContainer extends ConfigBeanProxy, Container {
    @Attribute
    String getName();

    @Param(name="name", primary = true)
    public void setName(String value) throws PropertyVetoException;

    @Element
    MyElements getMyElements();

    void setMyElements(MyElements myElements);
}